Required Prerequisites

May 22, 2010 at 12:28 AM

I'm running into a bit of a problem, the installation of the UII requires Visual Studio 2008, I've installed Visual Studio Express C# 2010, this is apparently not enough to fix the problem. I didn't see anywhere that to get the CCA working I'd need to have Visual Studio.

What are the requirements, and you're going to have to spoon feed me here, to get this things set up?

May 22, 2010 at 7:18 PM
Edited May 22, 2010 at 7:25 PM

Hi ,

For UII :

The following table describes the basic hardware and software requirements for client and their optional components in development environments.

Component name

Hardware requirements

Operating system requirements

Additional Software requirements

Framework

Core 2 Duo 2.0 GHz or higher, memory space 4 GB and disk space of 250 GB

Windows XP with SP3, Windows Vista with SP2, Windows 7, Windows Server 2003 with SP2, or Windows Server 2008 with SP2

(32-bit or 64-bit)

.NET Framework 3.5 with SP1

HAT software factory

Microsoft Visual Studio 2008 with SP1, Guidance Automation Extensions (GAX) 1.4 with SP1, Visual Studio 2008 with SP1

Quickstart

Visual Studio 2008 with SP1

Documentation

 

Citrix Proxy (optional)

Citrix Online Plug-in - Version 11.0

Java Data Driven Adapter (optional)

Windows XP with SP3, Windows Vista with SP2, or Windows 7

(32-bit)

Java accessibility bridge 2.0.1, Java Runtime Environment (JRE 1.6)

The following table describes the basic hardware and software requirements for server and their optional components in development environments:

Component name

Hardware requirements

Operating system requirements

Additional software requirements

Dynamics CRM Customization

Core 2 Duo 2.0 GHz or higher with memory space 8 GB and disk space of 250 GB, memory space 8 GB

Windows Server 2003 with SP2 or Windows Server 2008 with SP3

(64-bit)

Microsoft Dynamics CRM 4.0 with UR 8

Citrix Generic Stub (optional)

Citrix Server 4.5 or 5.0

 

Note:
The Guidance Automation Extensions (GAX) update was released in the beginning of October 2008. The update addresses the issues with Visual Studio Service Pack 1. The current version of GAX is available at http://www.microsoft.com/downloads/details.aspx?FamilyId=E28205C6-BB07-401B-9A76-804784598BF0&displaylang=en
For windows 2008, Dynamics CRM 4.0 does not support IPV6 for IFD. For more information, see http://support.microsoft.com/kb/950100.

Check the following requirements before installing CCA

  1. UII binaries are installed on the machine.
  2. UII CRM customizations are configured.

Prashanthi.

May 24, 2010 at 2:22 PM

We have a client here that has Visual Studio 2005. Is there no way for that to work?

May 24, 2010 at 4:21 PM

the HAT software factory will not install. 2008 SP1 is the requirement